commit:     ad069653547853a52b42fab22f55503b85e22311
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  7 10:10:31 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug  7 10:12:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad069653

dev-ruby/xmlrpc: add missing runtime dep

Add missing runtime dependency on dev-ruby/webrick.

Closes: https://bugs.gentoo.org/806806
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild 
b/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild
new file mode 100644
index 00000000000..17a59ef15fa
--- /dev/null
+++ b/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XMLRPC is a lightweight protocol that enables remote procedure 
calls over HTTP"
+HOMEPAGE="https://github.com/ruby/xmlrpc";
+SRC_URI="https://github.com/ruby/xmlrpc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/webrick"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit )"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/ s:^:#:' Rakefile || die
+
+       # Avoid dependency on git
+       sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}

Reply via email to